# Google Maps Booking API

Scheduling aggregators call this API to notify us of appointment updates, and update their inventories including merchants, services, and availability.

- [REST Resource: v1alpha.invalidation.partners](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.invalidation.partners)
- [REST Resource: v1alpha.inventory.partners.availability](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.inventory.partners.availability)
- [REST Resource: v1alpha.inventory.partners.feeds](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.inventory.partners.feeds)
- [REST Resource: v1alpha.inventory.partners.feeds.record](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.inventory.partners.feeds.record)
- [REST Resource: v1alpha.inventory.partners.feeds.status](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.inventory.partners.feeds.status)
- [REST Resource: v1alpha.inventory.partners.merchants](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.inventory.partners.merchants)
- [REST Resource: v1alpha.inventory.partners.merchants.services](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.inventory.partners.merchants.services)
- [REST Resource: v1alpha.inventory.partners.merchants.services.availability](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.inventory.partners.merchants.services.availability)
- [REST Resource: v1alpha.inventory.partners.merchants.status](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.inventory.partners.merchants.status)
- [REST Resource: v1alpha.notification.partners.bookings](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.notification.partners.bookings)
- [REST Resource: v1alpha.notification.partners.orders](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.notification.partners.orders)
- [REST Resource: v1alpha.partners.adsAccountLinks](https://developers.google.com/maps-booking/reference/maps-booking-api/rest#v1alpha.partners.adsAccountLinks)

## Service: mapsbooking.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://mapsbooking.googleapis.com/$discovery/rest?version=v1alpha>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mapsbooking.googleapis.com`

## REST Resource: [v1alpha.invalidation.partners](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/invalidation.partners)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/invalidation.partners/invalidateResource` | `POST /v1alpha/invalidation/{resourceId=partners/**}:invalidateResource` Invalidates an existing resource. |

## REST Resource: [v1alpha.inventory.partners.availability](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.availability)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.availability/replace` | `POST /v1alpha/inventory/{parent=partners/*}/availability:replace` Replaces the `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services.availability#Availability` of existing `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services#Service`. |

## REST Resource: [v1alpha.inventory.partners.feeds](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds/getStatus` | `GET /v1alpha/inventory/{name=partners/*/feeds/*/*}/status` Retrieves the `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/FeedStatus` of a previously uploaded feed by the specified aggregator, and returns it. |

## REST Resource: [v1alpha.inventory.partners.feeds.record](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.record)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.record/batchDelete` | `POST /v1alpha/inventory/{parent=partners/*/feeds/*}/record:batchDelete` Deletes records of specified feed type. |
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.record/batchPush` | `POST /v1alpha/inventory/{parent=partners/*/feeds/*}/record:batchPush` Inserts and/or updates records of specified feed type. |

## REST Resource: [v1alpha.inventory.partners.feeds.status](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.status)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds.status/list` | `GET /v1alpha/inventory/{name=partners/*/feeds/*}/status` Retrieves the `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/FeedStatus` of multiple previously uploaded merchant, service, or availability feeds by the specified aggregator, and returns them. |

## REST Resource: [v1alpha.inventory.partners.merchants](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants/create` | `POST /v1alpha/inventory/{parent=partners/*}/merchants` Creates a new `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants#Merchant` managed by the specified aggregator, and returns it. |
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants/delete` | `DELETE /v1alpha/inventory/{name=partners/*/merchants/*}` Deletes an existing `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants#Merchant` managed by the specified aggregator. |
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants/getStatus` | `GET /v1alpha/inventory/{name=partners/*/merchants/*/status}` Get the `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/MerchantStatus` of a `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants#Merchant`. |
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants/patch` | `PATCH /v1alpha/inventory/{merchant.name=partners/*/merchants/*}` Updates an existing `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants#Merchant` managed by the specified aggregator, and returns it. |

## REST Resource: [v1alpha.inventory.partners.merchants.services](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services/create` | `POST /v1alpha/inventory/{parent=partners/*/merchants/*}/services` Creates a new `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services#Service` of a merchant managed by the specified aggregator, and returns it. |
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services/delete` | `DELETE /v1alpha/inventory/{name=partners/*/merchants/*/services/*}` Deletes an existing `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services#Service` of a merchant managed by the specified aggregator. |
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services/patch` | `PATCH /v1alpha/inventory/{service.name=partners/*/merchants/*/services/*}` Updates an existing `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services#Service` of a merchant managed by the specified aggregator, and returns it. |

## REST Resource: [v1alpha.inventory.partners.merchants.services.availability](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services.availability)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services.availability/replace` | `POST /v1alpha/inventory/{serviceAvailability.name=partners/*/merchants/*/services/*}/availability:replace` Replaces the `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services.availability#Availability` of an existing `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.services#Service` of a merchant managed by the specified aggregator, and returns it. |

## REST Resource: [v1alpha.inventory.partners.merchants.status](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.merchants.status/list` | `GET /v1alpha/inventory/{parent=partners/*/merchants}/status` List all `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/MerchantStatus` of a partner that satisfy the filter conditions. |

## REST Resource: [v1alpha.notification.partners.bookings](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.bookings)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.bookings/patch` | `PATCH /v1alpha/notification/{booking.name=partners/*/bookings/*}` Updates an existing `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.bookings#Booking`. |

## REST Resource: [v1alpha.notification.partners.orders](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch` | `PATCH /v1alpha/notification/{order.name=partners/*/orders/*}` Updates an existing `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/notification.partners.orders/patch#body.Order`. |

## REST Resource: [v1alpha.partners.adsAccountLinks](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks)

| Methods ||
|---|---|
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/create` | `POST /v1alpha/{parent=partners/*}/adsAccountLinks` Creates Ads account link. |
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/delete` | `DELETE /v1alpha/{name=partners/*/adsAccountLinks/*}` Deletes Ads account link. |
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/get` | `GET /v1alpha/{name=partners/*/adsAccountLinks/*}` Gets Ads account link. |
| `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/patch` | `PATCH /v1alpha/{adsAccountLink.name=partners/*/adsAccountLinks/*}` Updates Ads account link with inventory items. |